Arma 3 Feedback Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0014474Arma 3Multiplayerpublic2013-09-14 02:022013-11-01 08:18
ReporterSPARTAN-563 
Assigned ToMoricky 
PrioritynoneSeveritynoneReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSWindows 8OS Version64 bit
Product Version1.0.109.911 
Target VersionFixed in Version 
Summary0014474: Respawn Fails on Loading Screen
DescriptionWhen attempting to respawn after all playable units (who have been added as respawn points using BIS_fnc_addRespawnPosition) have died, the game never leaves the "loading" screen. Additionally, you are able to move around and fire your weapon (you can hear this, and the other player can see it).

It appears that only the first player to die experiences this issue, with the second player being able to respawn normally at a static respawn position (not one of the dead players' bodies).

Environment:
Running a custom multiplayer co-op mission which makes use of the ArmA 3 Respawn framework detailed [url=https://community.bistudio.com/wiki/Arma_3_Respawn [^]]here[/url]. Respawn type set to 'BASE' and respawn positions added using a combination of the respawn module (as a static base respawn) and BIS_fnc_addRespawnPosition to add mobile respawn points on both playable units.
Steps To ReproduceCreate a multiplayer mission with 3 playable units (player1, player2, player3)
Place 1x Respawn Module, Infantry, playable units' side
Create init.sqf, in it add:
    [missionNamespace, player1] call BIS_fnc_addRespawnPosition;
    [missionNamespace, player2] call BIS_fnc_addRespawnPosition;

Have 3 players join the game, and have the third player kill first player1, then player2 (or the other way around). The first player to be killed should be unable to respawn correctly.
TagsNo tags attached.
Game VersionArma 3 Dev
Attached Files

- Relationships

-  Notes
(0054146)
Moricky (Bohemia Interactive - developer)
2013-09-16 12:51

I'm afraid it's problem of the mission - situation where no respawn points are available should never occur. In your example, both players who serve as respawn point died.

However, it should definitely not freeze the game. I'll fix it and display an error message in case no positions are found.
(0054149)
SPARTAN-563 (ticket author)
2013-09-16 13:04

Thanks for getting back to me on this, there are however still respawn points remaining (the static respawn position) after both players are dead. I managed to "solve" the issue by making one of the players invincible (this allowDamage false) while the other is dead, however this is obviously not the ideal solution.
(0054351)
SPARTAN-563 (ticket author)
2013-09-17 17:53

Will test on the latest dev branch version and let you know if it's fixed. Thanks for addressing the issue :)
(0054448)
SPARTAN-563 (ticket author)
2013-09-18 11:56

Changes in the latest dev branch appear to have solved the original issue, however there is now a (previously nonexistent) intermittent issue where a player's spawn point (i.e. a spawnpoint linked to a player) will become unavailable despite the player being alive. Was unable to determine a specific reproducible reason for this...
(0058976)
Fireball (moderator)
2013-11-01 08:18

Mass-closing resolved issues not updated in 10 days.

- Issue History
Date Modified Username Field Change
2013-09-14 02:02 SPARTAN-563 New Issue
2013-09-14 11:07 Moricky Assigned To => Moricky
2013-09-14 11:07 Moricky Status new => assigned
2013-09-16 12:51 Moricky Note Added: 0054146
2013-09-16 13:04 SPARTAN-563 Note Added: 0054149
2013-09-17 17:53 SPARTAN-563 Note Added: 0054351
2013-09-18 08:22 Moricky Game Version Arma 3 => Arma 3 Dev
2013-09-18 08:22 Moricky Status assigned => resolved
2013-09-18 08:22 Moricky Resolution open => fixed
2013-09-18 11:56 SPARTAN-563 Note Added: 0054448
2013-11-01 08:18 Fireball Note Added: 0058976
2013-11-01 08:18 Fireball Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team